Package org.apache.commons.math3.exception

# Class NoDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.exception.NoDataException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class NoDataException extends MathIllegalArgumentException
Exception to be thrown when the required data is missing.

Since:
  2.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoDataException()`
Construct the exception.
`NoDataException(Localizable specific)`
Construct the exception with a specific context.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoDataException

public NoDataException()
Construct the exception.

### NoDataException

public NoDataException(Localizable specific)
Construct the exception with a specific context.

Parameters:
  `specific` - Contextual information on what caused the exception.